<?php
/**
 * @package Pet Care Store
 */

function pet_care_store_customizer_add_defaults( $default_options) {
	$defaults = array(
		'pet_care_store_excerpt_length'    => 30,
	);
	$updated_defaults = wp_parse_args( $defaults, $default_options );

	return $updated_defaults;
}
add_filter( 'pet_care_store_customizer_defaults', 'pet_care_store_customizer_add_defaults' );

function pet_care_store_gtm( $option ) {
	$defaults = apply_filters( 'pet_care_store_customizer_defaults', true );

	return isset( $defaults[ $option ] ) ? get_theme_mod( $option, $defaults[ $option ] ) : get_theme_mod( $option );
}

if ( ! function_exists( 'pet_care_store_excerpt_length' ) ) :
	function pet_care_store_excerpt_length( $length ) {
		if ( is_admin() ) {
			return $length;
		}

		$length	= pet_care_store_gtm( 'pet_care_store_excerpt_length' );

		return absint( $length );
	} 
endif;
add_filter( 'excerpt_length', 'pet_care_store_excerpt_length', 999 );